Skip to main content
GET
/
tokens
/
search
Advanced token filtering across multiple networks.
curl --request GET \
  --url https://api.dexpaprika.com/tokens/search
{
  "results": [
    {
      "chain": "<string>",
      "address": "<string>",
      "price_usd": 123,
      "price_change_percentage_24h": 123,
      "volume_usd_24h": 123,
      "volume_usd_7d": 123,
      "volume_usd_30d": 123,
      "liquidity_usd": 123,
      "fdv_usd": 123,
      "txns_24h": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "has_image": true,
      "pools": 123,
      "24h": {
        "volume_usd": 123,
        "buys": 123,
        "sells": 123,
        "txns": 123,
        "last_price_usd_change": 123
      },
      "6h": {
        "volume_usd": 123,
        "buys": 123,
        "sells": 123,
        "txns": 123,
        "last_price_usd_change": 123
      },
      "1h": {
        "volume_usd": 123,
        "buys": 123,
        "sells": 123,
        "txns": 123,
        "last_price_usd_change": 123
      },
      "30m": {
        "volume_usd": 123,
        "buys": 123,
        "sells": 123,
        "txns": 123,
        "last_price_usd_change": 123
      },
      "15m": {
        "volume_usd": 123,
        "buys": 123,
        "sells": 123,
        "txns": 123,
        "last_price_usd_change": 123
      },
      "5m": {
        "volume_usd": 123,
        "buys": 123,
        "sells": 123,
        "txns": 123,
        "last_price_usd_change": 123
      },
      "1m": {
        "volume_usd": 123,
        "buys": 123,
        "sells": 123,
        "txns": 123,
        "last_price_usd_change": 123
      }
    }
  ],
  "has_next_page": true,
  "next_cursor": "<string>",
  "query": {
    "chains": [
      "<string>"
    ],
    "limit": 123,
    "cursor": "<string>",
    "volume_usd_24h_min": 123,
    "volume_usd_24h_max": 123,
    "volume_usd_7d_min": 123,
    "volume_usd_7d_max": 123,
    "volume_usd_30d_min": 123,
    "volume_usd_30d_max": 123,
    "liquidity_usd_min": 123,
    "liquidity_usd_max": 123,
    "txns_24h_min": 123,
    "txns_24h_max": 123,
    "price_usd_min": 123,
    "price_usd_max": 123,
    "price_change_percentage_24h_min": 123,
    "price_change_percentage_24h_max": 123,
    "fdv_usd_min": 123,
    "fdv_usd_max": 123,
    "created_after": 123,
    "created_before": 123,
    "detailed": true
  }
}

Query Parameters

chains
string

Comma-separated list of chains to search in (e.g., 'ethereum,solana'). If empty, all chains are searched.

limit
integer
default:10

Number of items to return per page (max 100).

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination.

volume_usd_24h_min
number
volume_usd_24h_max
number
volume_usd_7d_min
number
volume_usd_7d_max
number
volume_usd_30d_min
number
volume_usd_30d_max
number
liquidity_usd_min
number
liquidity_usd_max
number
txns_24h_min
integer
txns_24h_max
integer
price_usd_min
number
price_usd_max
number
price_change_percentage_24h_min
number
price_change_percentage_24h_max
number
fdv_usd_min
number
fdv_usd_max
number
created_after
integer
created_before
integer
order_by
enum<string>
default:volume_usd_24h
Available options:
volume_usd_24h,
volume_usd_7d,
volume_usd_30d,
price_usd,
liquidity_usd,
txns_24h,
price_change_percentage_24h,
created_at,
fdv_usd
sort
enum<string>
default:desc
Available options:
asc,
desc
detailed
boolean
default:false

If true, the response will include enriched data (metadata, pools, intervals).

Response

200 - application/json

successful operation

results
object[]
has_next_page
boolean
next_cursor
string
query
object